package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;

/**
 * 施工交底Entity
 * @author
 * @version 2019-11-08
 */
public class Construction extends ActEntity<Construction> {
    private static final long serialVersionUID = 1L;
    private User tuser;		// 归属用户
    private String procInsId;		// 流程实例编号
    private String userName;		// 申请人
    private String projectId;		// 项目号
    private String projectName;		// 项目名称
    private Date acceptDate;		// 接收图纸时间
    private String examineDate;		// 查看时间
    private String powerLine;
    private String blackoutArea;
    private String projectType;
    private String powerFailure;
    private String preliminaryJudgment;
    private String civilEngineering;
    private String baseType;
    private String planApproval;
    private String transformationType;
    private String transformationEquipment;
    private String newNamed;
    private String putInto;
    private String electricalConstruction;
    private String theAssignment;
    private String automation;
    private String remote;
    private String communicationMode;
    private String inSitu;
    private String networkCabinet;
    private String station;
    private String applyName;

    public User getTuser() {
        return tuser;
    }

    public void setTuser(User tuser) {
        this.tuser = tuser;
    }

    @Override
    public String getProcInsId() {
        return procInsId;
    }

    @Override
    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Date getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    public String getExamineDate() {
        return examineDate;
    }

    public void setExamineDate(String examineDate) {
        this.examineDate = examineDate;
    }

    public String getPowerLine() {
        return powerLine;
    }

    public void setPowerLine(String powerLine) {
        this.powerLine = powerLine;
    }

    public String getBlackoutArea() {
        return blackoutArea;
    }

    public void setBlackoutArea(String blackoutArea) {
        this.blackoutArea = blackoutArea;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getPowerFailure() {
        return powerFailure;
    }

    public void setPowerFailure(String powerFailure) {
        this.powerFailure = powerFailure;
    }

    public String getPreliminaryJudgment() {
        return preliminaryJudgment;
    }

    public void setPreliminaryJudgment(String preliminaryJudgment) {
        this.preliminaryJudgment = preliminaryJudgment;
    }

    public String getCivilEngineering() {
        return civilEngineering;
    }

    public void setCivilEngineering(String civilEngineering) {
        this.civilEngineering = civilEngineering;
    }

    public String getBaseType() {
        return baseType;
    }

    public void setBaseType(String baseType) {
        this.baseType = baseType;
    }

    public String getPlanApproval() {
        return planApproval;
    }

    public void setPlanApproval(String planApproval) {
        this.planApproval = planApproval;
    }

    public String getTransformationType() {
        return transformationType;
    }

    public void setTransformationType(String transformationType) {
        this.transformationType = transformationType;
    }

    public String getTransformationEquipment() {
        return transformationEquipment;
    }

    public void setTransformationEquipment(String transformationEquipment) {
        this.transformationEquipment = transformationEquipment;
    }

    public String getNewNamed() {
        return newNamed;
    }

    public void setNewNamed(String newNamed) {
        this.newNamed = newNamed;
    }

    public String getPutInto() {
        return putInto;
    }

    public void setPutInto(String putInto) {
        this.putInto = putInto;
    }

    public String getElectricalConstruction() {
        return electricalConstruction;
    }

    public void setElectricalConstruction(String electricalConstruction) {
        this.electricalConstruction = electricalConstruction;
    }

    public String getTheAssignment() {
        return theAssignment;
    }

    public void setTheAssignment(String theAssignment) {
        this.theAssignment = theAssignment;
    }

    public String getAutomation() {
        return automation;
    }

    public void setAutomation(String automation) {
        this.automation = automation;
    }

    public String getRemote() {
        return remote;
    }

    public void setRemote(String remote) {
        this.remote = remote;
    }

    public String getCommunicationMode() {
        return communicationMode;
    }

    public void setCommunicationMode(String communicationMode) {
        this.communicationMode = communicationMode;
    }

    public String getInSitu() {
        return inSitu;
    }

    public void setInSitu(String inSitu) {
        this.inSitu = inSitu;
    }

    public String getNetworkCabinet() {
        return networkCabinet;
    }

    public void setNetworkCabinet(String networkCabinet) {
        this.networkCabinet = networkCabinet;
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }
}
